Skip to main content
GET
/
api
/
ext
/
v1
/
collection
/
{collectionId}
/
orders
/
{orderId}
Order status
curl --request GET \
  --url https://staging-api.covver.io/api/ext/v1/collection/{collectionId}/orders/{orderId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "status": "Placed",
  "lineItems": [
    {
      "id": "<string>",
      "title": "<string>",
      "trackingUrl": "<string>",
      "status": "canceled",
      "trackingNumber": "<string>",
      "allShipments": [
        {
          "trackingUrl": "<string>",
          "trackingNumber": "<string>"
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.covver.io/llms.txt

Use this file to discover all available pages before exploring further.

Partners must pass in the companyId field in the body

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collectionId
string<uuid>
required
orderId
string<uuid>
required

Query Parameters

companyId
string

Required for partners

Response

Default Response

id
string
required
createdAt
string<date-time>
required

ISO 8601 date-time, e.g. 2025-07-10T07:24:53.486Z

status
enum<string>
required
Available options:
Placed,
Pending,
Partially Shipped,
Shipped
lineItems
object[]
required